Bug 518784 - Error with intel mobile 945GME
Summary: Error with intel mobile 945GME
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 18:57 UTC by MERCIER Jonathan
Modified: 2018-04-11 17:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-29 16:03:14 UTC


Attachments (Terms of Use)

Description MERCIER Jonathan 2009-08-22 18:57:39 UTC
With the last update testing after login (with gdm) the session fail immeditely and come back to GDM.
It is because i use compiz and i think with the last xserver (in update testing) the direct rendering d'ont work!

$ grep -e "EE" "WW" /var/log/Xorg.0.log
(WW) intel(0): [DRI2] Version 1 API (broken front buffer rendering)
(EE) intel(0): max_gtt_map_size: 61881kb
(EE) intel(0): max_gtt_map_size: 61881kb
(EE) intel(0): max_gtt_map_size: 61881kb
(EE) intel(0): max_gtt_map_size: 61881kb
(EE) intel(0): max_gtt_map_size: 61881kb

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [806:27ae] (rev 03)

Comment 1 MERCIER Jonathan 2009-08-27 16:53:43 UTC
ping

Comment 2 Claudemir F.Franco 2009-08-28 01:19:38 UTC
Hi, 

I'm also having the same problem.

root@xxxx:/root # grep EE /var/log/Xorg.0.log
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) intel(0): max_gtt_map_size: 61481kb.
(EE) intel(0): max_gtt_map_size: 61481kb.
(EE) intel(0): max_gtt_map_size: 61481kb.
(EE) intel(0): max_gtt_map_size: 61481kb.
(EE) intel(0): max_gtt_map_size: 61481kb.


00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

Comment 3 CrystalCowboy 2009-08-30 15:38:14 UTC
I am experiencing various problems with a 945GME chipset, including video tearing and failure to automaticallyrecognize an appropriate monitor resolution. The current driver under Fedora 11 is xorg-x11-drv-intel-2.7.0-7.

What's up with that? The driver developers have already release 2.8.0 and 2.8.1. Why are these not making there way through the Fedora pipeline? Please wake up and give us these updates, which include bug fixes.

Comment 4 MERCIER Jonathan 2009-08-31 19:22:24 UTC
ping

Comment 5 Adam Jackson 2009-09-23 20:00:44 UTC
Please provide the output of:

rpm -q xorg-x11-drv-intel
uname -a

Comment 6 Claudemir F.Franco 2009-09-23 23:23:52 UTC
Hi Adam, 

follows the output of the:

root@dellbook2:/root # rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

root@dellbook2:/root # uname -a
Linux dellbook2.webbertek 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
root@dellbook2:/root #


[]'s

Claudemir.

Comment 7 Matěj Cepl 2009-11-05 18:36:48 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]


Note You need to log in before you can comment on or make changes to this bug.